Ask Your Question
0

Is puppet agent can be installed on HP-UX 11.31?

asked 2015-07-13 04:22:04 -0500

Manishgarg gravatar image

I am having puppet master on rhel 6 and i want to install one agent on HP-UX 11.31.Is this possible?? If yes how to install it?

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
2

answered 2015-07-16 21:49:54 -0500

LukeM gravatar image

If you don't want to waste time compiling open source software on HPUX - you can download it from HP:

https://h20392.www2.hp.com/portal/swd...

The 11.23 version of ixRuby and ixRubyGems will work on 11.31.

edit flag offensive delete link more
1

answered 2015-07-14 05:52:14 -0500

Three parts: (1) install Ruby; (2) compile Rubygems; (3) install puppet as a gem. Ruby should be available as a package from HP somewhere. Compiling Rubygems could be the trickiest part. And getting the puppet gem from rubygems.org is then trivial.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2015-07-13 04:22:04 -0500

Seen: 827 times

Last updated: Jul 14 '15